WordPress.org

Plugin Directory

WP SecureSubmit

SecureSubmit allows merchants using Heartland Payment Systems to take PCI-Friendly donations on their WordPress site.

= 1.3.8 * Removed debug text :/

1.3.7

  • Fixed bug with button field types in non-modal forms
  • Removed more index warnings

1.3.6

  • Fixed spacing bug with button builder

1.3.5

  • Fixed PHP warnings for shortcode attribute edge cases

1.3.4

  • Matching WordPress.org and GitHub version numbers

1.3.3

  • Fixed Subject Line variable swapping
  • Fixed render long form in button builder

1.3.2

  • Ensure SDK isn't already loaded

1.3.1

  • Made State an option for multi-national
  • Added e-mail reciept for long-form
  • Allowing non-numeric characters in card number
  • Amount field is automatically populated based on what value is selected from radio buttons

1.3.0

  • Added Button Builder to WordPress WYSIWYG Editor
  • Cleaned up long-form ::q

1.2.2

  • Updated payment email to use configurable settings.

1.2.1

  • Updated version of DB

1.2.0

  • Added Admin view of transactions.
  • Default amount can now be modified.
  • FAQ section added to admin.
  • Plugin now has a side menu option in the admin.
  • Hiding amount fields after submission of payment.
  • Upgraded version of jQuery tokenization library.
  • From email address is now configurable from settings.

1.1.6

  • Allowing non-modal users to configure the header text.
  • amountdefault attribute added for default donation amounts.
  • productimage can now be set to "none".

1.1.5

  • Internet Explorer 6-9 placeholder fix.
  • CSS Fix for additional style clearing.

1.1.4

  • Updated styles to clear textbox attributes.

1.1.3

  • Added work around for sites running line break conversion plugins.

1.1.2

  • Added RAW tags to ignore line breaks.

1.1.1

  • Fixed multiple buttons on the same page.
  • Added dropdown as an additional option type.

1.1.0

  • Added some screenshots of the plugin in action.
  • Added ability to change button text.
  • Added additional option types.

1.0.0

  • Initial Release

Requires: 3.0.1 or higher
Compatible up to: 3.9.5
Last Updated: 2015-3-25
Active Installs: 40+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1
100,1,1